Imports System.ComponentModel.DataAnnotations

Namespace DomainClasses
  Public Enum ProductColor
	White = 0
	Black = 1
	Blue = 2
	Red = 3
	Green = 4
  End Enum

  Public Class Product
	Public Sub New()
	  LineItems = New List(Of LineItem)
	End Sub

	Public Property ProductId As Integer
	<Required, StringLength(100)>
	Public Property Name As String
	<Required, StringLength(10)>
	Public Property ProductNumber As String

	Public Property Color As ProductColor

	Public Property StandardCost As Decimal

	Public Property ListPrice As Decimal

	Public Property Size As String

	Public Property CategoryId As Integer

	Public Property SellStartDate As Date

	Public Property ShippingWeight As Decimal?

	Public Property SellEndDate As Date?

	Public Property DiscontinuedDate As Date?

	Public Property Photo As Byte()

	Public Property LineItems As ICollection(Of LineItem)

	Public Property Category As Category
  End Class
End Namespace
