Imports System.Data.Entity
Imports DataLayer.Mapping
Imports DomainClasses

Namespace DataLayer
  Public Class ShippingContext
	  Inherits BaseContext(Of ShippingContext)

	Public Property Shipments As DbSet(Of Shipment)

	Public Property Shippers As DbSet(Of Shipper)

	Public Property Orders As DbSet(Of OrderShippingDetail)

	Public Property ItemsToBeShipped As DbSet(Of ItemToBeShipped)

	Public Property ShippedLineItems As DbSet(Of ShippedLineItem)

	  Protected Overrides Sub OnModelCreating(ByVal modelBuilder As DbModelBuilder)
		modelBuilder.Ignore(Of LineItem)()
		modelBuilder.Ignore(Of Order)()
		modelBuilder.Configurations.Add(New ShippingAddressMap)
	  End Sub
  End Class
End Namespace

